Bug 1100355 - (CVE-2018-13347) VUL-0: CVE-2018-13347: mercurial: mpatch.c in Mercurial before 4.6.1 mishandles integer addition and subtraction,aka OVE-20180430-0002.
(CVE-2018-13347)
VUL-0: CVE-2018-13347: mercurial: mpatch.c in Mercurial before 4.6.1 mishandl...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/209662/
CVSSv3:SUSE:CVE-2018-13347:5.3:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-06 06:57 UTC by Marcus Meissner
Modified: 2018-12-17 23:54 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-07-06 06:57:23 UTC
CVE-2018-13347

mpatch.c in Mercurial before 4.6.1 mishandles integer addition and subtraction,
aka OVE-20180430-0002.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-13347
https://www.mercurial-scm.org/repo/hg/rev/1acfc35d478c
https://www.mercurial-scm.org/repo/hg-committed/log?rev=modifies%28%22mercurial%2Fmpatch.c%22%29+and+4.5%3A%3A
Comment 1 Takashi Iwai 2018-07-06 11:51:35 UTC
TW has already a newer package.
The fix submitted to SLE15, Leap 42.3, SLE12 and SLE11-SP3.

Back to security team.
Comment 3 Swamp Workflow Management 2018-07-06 12:30:14 UTC
This is an autogenerated message for OBS integration:
This bug (1100355) was mentioned in
https://build.opensuse.org/request/show/621322 42.3 / mercurial
Comment 4 Swamp Workflow Management 2018-07-19 13:11:24 UTC
SUSE-SU-2018:1990-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1100353,1100354,1100355
CVE References: CVE-2018-13346,CVE-2018-13347,CVE-2018-13348
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    mercurial-2.8.2-15.13.1
Comment 5 Swamp Workflow Management 2018-07-19 13:15:44 UTC
SUSE-SU-2018:1996-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1100353,1100354,1100355
CVE References: CVE-2018-13346,CVE-2018-13347,CVE-2018-13348
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    mercurial-2.3.2-0.18.9.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    mercurial-2.3.2-0.18.9.1
Comment 6 Swamp Workflow Management 2018-07-19 13:17:08 UTC
SUSE-SU-2018:1998-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1100353,1100354,1100355
CVE References: CVE-2018-13346,CVE-2018-13347,CVE-2018-13348
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    mercurial-4.5.2-3.3.1
Comment 7 Swamp Workflow Management 2018-07-20 01:15:40 UTC
openSUSE-SU-2018:2023-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1100353,1100354,1100355
CVE References: CVE-2018-13346,CVE-2018-13347,CVE-2018-13348
Sources used:
openSUSE Leap 42.3 (src):    mercurial-4.2.3-15.1
Comment 8 Swamp Workflow Management 2018-07-28 14:05:21 UTC
openSUSE-SU-2018:2132-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1100353,1100354,1100355
CVE References: CVE-2018-13346,CVE-2018-13347,CVE-2018-13348
Sources used:
openSUSE Leap 15.0 (src):    mercurial-4.5.2-lp150.2.3.1
Comment 9 Marcus Meissner 2018-08-01 06:54:01 UTC
released